Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
operations
curl --request POST \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/operations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "execute_microservice",
  "target": {
    "type": "workspaces",
    "ids": [
      "507f1f77bcf86cd799439011",
      "507f1f77bcf86cd799439012"
    ]
  },
  "expiration_in_seconds": 600,
  "payload": {
    "microservice_id": "507f1f77bcf86cd799439015",
    "parameters": {
      "mode": "safe"
    }
  }
}
'
{
  "ids": [
    {
      "organization_id": "507f1f77bcf86cd799439011",
      "operation_id": "507f1f77bcf86cd799439031"
    }
  ]
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

Unique organization identifier.

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Body

application/json
type
enum<string>
required

Operation command type.

Available options:
execute_microservice,
delete_workspaces,
shutdown_workspaces,
restart_workspaces,
suspend_workspaces
target
object
required

Scope and objectives object.

expiration_in_seconds
integer

Custom expiration in seconds. If omitted, the command's default value is used.

Required range: 600 <= x <= 84600
payload
object

Specific load of the operation type. Payload is not allowed for delete_workspaces/shutdown_workspaces/restart_workspaces/suspend_workspaces.

Response

Operations created successfully.

ids
object[]
required

Identifiers of operations created in the same order as they were created.

Minimum array length: 1